package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.cpzslibs.prot.handset.bean.res.ResponsibleUserInfoBean;

public interface UserLoginDal {
	/**
	 * 插入一个用户信息
	 * @param info
	 */
	void insertUserInfo(ResponsibleUserInfoBean info);
	
	/**
	 * 插入一组用户信息
	 * @param infos
	 */
	void insertUserInfoList(List<ResponsibleUserInfoBean> infos);
	/**
	 * 删除所有的用户信息
	 */
	void deleteAllUserInfo();
	/**
	 * 根据账户名称查询用户信息
	 * @param account
	 * @return
	 */
	ResponsibleUserInfoBean queryUserInfoByAccount(String account);
	
	ResponsibleUserInfoBean getUserInfo(Cursor c);
	
	List<ResponsibleUserInfoBean> queryAllUser();
	
	List<ResponsibleUserInfoBean> searchUserByCondition(String condition);
}
